Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » IAM (Eclipse Integration for Apache Maven) » The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could
The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could [message #640165] Fri, 19 November 2010 07:15 Go to next message
swapnil patil is currently offline swapnil patil
Messages: 2
Registered: November 2010
Junior Member
Hi ,

When I Run mvn -P test eclispe:eclipse -e command

getting following exception

[INFO] Scanning for projects...
[INFO] Searching repository for plugin with prefix: 'eclispe'.
[INFO] ------------------------------------------------------------ ------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------ ------------
[INFO] The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could be found
[INFO] ------------------------------------------------------------ ------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could be found
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl ugin(DefaultLifecycleExecutor.java:1569)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.getMojoD escriptor(DefaultLifecycleExecutor.java:1851)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.segmentT askListByAggregationNeeds(DefaultLifecycleExecutor.java:462)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute( DefaultLifecycleExecutor.java:175)
at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:32 Cool
at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMa in.java:60)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:597)
at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.ja va:315)
at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher. java:430)
at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.version.PluginVersionNotFoundExcepti on: The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version could be found
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolvePluginVersion(DefaultPluginVersionManager.java:229)
at org.apache.maven.plugin.version.DefaultPluginVersionManager. resolvePluginVersion(DefaultPluginVersionManager.java:91)
at org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(De faultPluginManager.java:179)
at org.apache.maven.plugin.DefaultPluginManager.loadPluginDescr iptor(DefaultPluginManager.java:1642)
at org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl ugin(DefaultLifecycleExecutor.java:1540)
... 15 more
[INFO] ------------------------------------------------------------ ------------
[INFO] Total time: < 1 second
[INFO] Finished at: Fri Nov 19 14:40:22 IST 2010
[INFO] Final Memory: 12M/29M


please help me to sort out this.

[Updated on: Fri, 19 November 2010 07:15]

Report message to a moderator

Re: The plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no valid version co [message #640564 is a reply to message #640165] Mon, 22 November 2010 08:47 Go to previous message
Carlos Sanchez is currently offline Carlos Sanchez
Messages: 114
Registered: July 2009
Senior Member
you have a typo, in "eclispe"


On 11/19/10 9:15 PM, swapnil patil wrote:
> Hi ,
> When I Run mvn -P test eclispe:eclipse -e command
> getting following exception
> view plaincopy to clipboardprint?
> [INFO] Scanning for projects... [INFO] Searching repository for plugin
> with prefix: 'eclispe'. [INFO]
> ------------------------------------------------------------
> ------------ [ERROR] BUILD ERROR [INFO]
> ------------------------------------------------------------
> ------------ [INFO] The plugin
> 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no
> valid version could be found [INFO]
> ------------------------------------------------------------
> ------------ [INFO] Trace
> org.apache.maven.lifecycle.LifecycleExecutionException: The plugin
> 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or no
> valid version could be found at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl
> ugin(DefaultLifecycleExecutor.java:1569) at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.getMojoD
> escriptor(DefaultLifecycleExecutor.java:1851) at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.segmentT
> askListByAggregationNeeds(DefaultLifecycleExecutor.java:462) at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(
> DefaultLifecycleExecutor.java:175) at
> org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:32 8) at
> org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138) at
> org.apache.maven.cli.MavenCli.main(MavenCli.java:362) at
> org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMa in.java:60)
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce
> ssorImpl.java:39) at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe
> thodAccessorImpl.java:25) at
> java.lang.reflect.Method.invoke(Method.java:597) at
> org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.ja va:315) at
> org.codehaus.classworlds.Launcher.launch(Launcher.java:255) at
> org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher. java:430)
> at org.codehaus.classworlds.Launcher.main(Launcher.java:375) Caused by:
> org.apache.maven.plugin.version.PluginVersionNotFoundExcepti on: The
> plugin 'org.apache.maven.plugins:maven-eclispe-plugin' does not exist or
> no valid version could be found at
> org.apache.maven.plugin.version.DefaultPluginVersionManager.
> resolvePluginVersion(DefaultPluginVersionManager.java:229) at
> org.apache.maven.plugin.version.DefaultPluginVersionManager.
> resolvePluginVersion(DefaultPluginVersionManager.java:91) at
> org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(De
> faultPluginManager.java:179) at
> org.apache.maven.plugin.DefaultPluginManager.loadPluginDescr
> iptor(DefaultPluginManager.java:1642) at
> org.apache.maven.lifecycle.DefaultLifecycleExecutor.verifyPl
> ugin(DefaultLifecycleExecutor.java:1540) ... 15 more [INFO]
> ------------------------------------------------------------
> ------------ [INFO] Total time: < 1 second [INFO] Finished at: Fri Nov
> 19 14:40:22 IST 2010 [INFO] Final Memory: 12M/29M
>
> please help me to sort out this.
Previous Topic:Parent: null:maven-eclipse-plugin:maven-plugin:2.8 of project
Next Topic:How to stop jetty:run from q4e 0.9?
Goto Forum:
  


Current Time: Thu Aug 28 23:26:00 EDT 2014

Powered by FUDForum. Page generated in 0.01547 seconds